Lucene++ - a full-featured, c++ search engine
API Documentation

Public Member Functions | Static Public Member Functions | Data Fields
Lucene::DocFieldConsumers Class Reference

This is just a "splitter" class: it lets you wrap two DocFieldConsumer instances as a single consumer. More...

`#include <DocFieldConsumers.h>`

Inheritance diagram for Lucene::DocFieldConsumers:

## Public Member Functions

| DocFieldConsumers (const DocFieldConsumerPtr &one, const DocFieldConsumerPtr &two)
virtual | ~DocFieldConsumers ()
virtual String | getClassName ()
boost::shared_ptr< DocFieldConsumers > | shared_from_this ()
virtual void | setFieldInfos (const FieldInfosPtr &fieldInfos)
virtual void | flush (MapDocFieldConsumerPerThreadCollectionDocFieldConsumerPerField threadsAndFields, const SegmentWriteStatePtr &state)
| Called when DocumentsWriter decides to create a new segment. More...
virtual void | closeDocStore (const SegmentWriteStatePtr &state)
| Called when DocumentsWriter decides to close the doc stores. More...
virtual bool | freeRAM ()
| Called when DocumentsWriter is using too much RAM. More...
virtual DocFieldConsumerPerThreadPtr | addThread (const DocFieldProcessorPerThreadPtr &docFieldProcessorPerThread)
| Add a new thread. More...
DocFieldConsumersPerDocPtr | getPerDoc ()
void | freePerDoc (const DocFieldConsumersPerDocPtr &perDoc)
Public Member Functions inherited from Lucene::DocFieldConsumer
virtual | ~DocFieldConsumer ()
boost::shared_ptr< DocFieldConsumer > | shared_from_this ()
virtual void | abort ()=0
| Called when an aborting exception is hit. More...
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal. More...
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects. More...
virtual String | toString ()
| Returns a string representation of the object. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Static Public Member Functions

static String | _getClassName ()
Static Public Member Functions inherited from Lucene::DocFieldConsumer
static String | _getClassName ()

## Data Fields

DocFieldConsumerPtr | one
DocFieldConsumerPtr | two
Collection< DocFieldConsumersPerDocPtr > | docFreeList
int32_t | freeCount
int32_t | allocCount

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()
Protected Attributes inherited from Lucene::DocFieldConsumer
FieldInfosPtr | fieldInfos
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Detailed Description

This is just a "splitter" class: it lets you wrap two DocFieldConsumer instances as a single consumer.

## Constructor & Destructor Documentation

## ◆ DocFieldConsumers()

Lucene::DocFieldConsumers::DocFieldConsumers | ( | const DocFieldConsumerPtr & | one,
|  | const DocFieldConsumerPtr & | two
| ) |  |

## ◆ ~DocFieldConsumers()

virtual Lucene::DocFieldConsumers::~DocFieldConsumers | ( |  | ) |

virtual

## Member Function Documentation

## ◆ _getClassName()

static String Lucene::DocFieldConsumers::_getClassName | ( |  | ) |

inline static

## ◆ addThread()

virtual DocFieldConsumerPerThreadPtr Lucene::DocFieldConsumers::addThread | ( | const DocFieldProcessorPerThreadPtr & | docFieldProcessorPerThread | ) |

virtual

Add a new thread.

Implements Lucene::DocFieldConsumer.

## ◆ closeDocStore()

virtual void Lucene::DocFieldConsumers::closeDocStore | ( | const SegmentWriteStatePtr & | state | ) |

virtual

Called when DocumentsWriter decides to close the doc stores.

Implements Lucene::DocFieldConsumer.

## ◆ flush()

virtual void Lucene::DocFieldConsumers::flush | ( | MapDocFieldConsumerPerThreadCollectionDocFieldConsumerPerField | threadsAndFields,
|  | const SegmentWriteStatePtr & | state
| ) |  |

virtual

Called when DocumentsWriter decides to create a new segment.

Implements Lucene::DocFieldConsumer.

## ◆ freePerDoc()

void Lucene::DocFieldConsumers::freePerDoc | ( | const DocFieldConsumersPerDocPtr & | perDoc | ) |

## ◆ freeRAM()

virtual bool Lucene::DocFieldConsumers::freeRAM | ( |  | ) |

virtual

Called when DocumentsWriter is using too much RAM.

Implements Lucene::DocFieldConsumer.

## ◆ getClassName()

virtual String Lucene::DocFieldConsumers::getClassName | ( |  | ) |

inline virtual

Reimplemented from Lucene::DocFieldConsumer.

## ◆ getPerDoc()

DocFieldConsumersPerDocPtr Lucene::DocFieldConsumers::getPerDoc | ( |  | ) |

## ◆ setFieldInfos()

virtual void Lucene::DocFieldConsumers::setFieldInfos | ( | const FieldInfosPtr & | fieldInfos | ) |

virtual

Reimplemented from Lucene::DocFieldConsumer.

## ◆ shared_from_this()

boost::shared_ptr< DocFieldConsumers > Lucene::DocFieldConsumers::shared_from_this | ( |  | ) |

inline

## Field Documentation

## ◆ allocCount

int32_t Lucene::DocFieldConsumers::allocCount

## ◆ docFreeList

Collection<DocFieldConsumersPerDocPtr> Lucene::DocFieldConsumers::docFreeList

## ◆ freeCount

int32_t Lucene::DocFieldConsumers::freeCount

## ◆ one

DocFieldConsumerPtr Lucene::DocFieldConsumers::one

## ◆ two

DocFieldConsumerPtr Lucene::DocFieldConsumers::two

The documentation for this class was generated from the following file:

- DocFieldConsumers.h

clucene.sourceforge.net